Welcome, Guest
Username: Password: Remember me

NOTE: This is a "Community" forum. Please be mindful that community members are here to help as part of a community effort. We therefore appreciate your effort in keeping this forum a happy place!

If you have a specific issue (e.g. hardware, failure) and want help from our support team, please use our tech support portal (Support menu - > Contact Us).
Thanks a lot of your help in making a better community.

TOPIC:

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43530

  • devteam
  • devteam's Avatar
  • Offline
  • Administrator
  • Administrator
  • Posts: 8971
  • Thank you received: 1300
@Bencat,

Thanks much for the tips and tricks! Always appreciated.

To all, we've seen quite few comments making it maybe clear that some of your might have missed reading our Dirac 2.0 Addendum. We need to put it in bigger font in the user downloads section as it's easy to miss.. :-)

So please, to everybody, BEFORE you even get started, please read our Dirac Live 2.0 Addendum here: www.minidsp.com/images/documents/miniDSP...%20User%20Manual.pdf

It should answer most basics questions.

Have fun!

DevTeam
miniDSP, building a DSP community one board at a time.
The following user(s) said Thank You: EdHowarth

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43537

  • jaaptina
  • jaaptina's Avatar
  • Offline
  • Premium Member
  • Premium Member
  • Posts: 123
  • Thank you received: 43
The 1.7d software package for use with Dirac 2.0 is easily overlooked. Scroll downon the downloads page to find it!

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43540

  • aedagnino
  • aedagnino's Avatar
  • Offline
  • Junior Member
  • Junior Member
  • Posts: 26
  • Thank you received: 6
Well, borrowed an OSX Mojave machine, a mid 2012 Macbook Pro and was able to open everything but I couldn't get Dirac Live to recognise my DDRC-24. Tried everything, including using previous versions of DL, power cycling, different cables, etc. I could really use any other suggestions!

Great to hear some people are enjoying their 2.0!

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43551

  • jaaptina
  • jaaptina's Avatar
  • Offline
  • Premium Member
  • Premium Member
  • Posts: 123
  • Thank you received: 43
Had the same issue. In my case see solution above.

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43560

  • fheibrink
  • fheibrink's Avatar
  • Offline
  • Junior Member
  • Junior Member
  • Posts: 32
  • Thank you received: 6
Little question...

Is the -10dB output level still recommended after Dirac calibration?
I've just re-calibrated my setup via Dirac 2 (DDRC24) and I found the output level somewhat lower than the old version even though the output settings are the same, just the calibration is re-done. Master volume is also set back to 0dB (Dirac tool sets this to the calibration volume and not back to 0dB afterwards).
Is there a way to set the exact point where I would not run into distortion problems other than the 10dB always safe option?

Looking at just the graph doesn't give me precise numbers to work with.

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43566

  • paul7777x
  • paul7777x's Avatar
  • Offline
  • Junior Member
  • Junior Member
  • Posts: 35
  • Thank you received: 5
Am I right in assuming that there are no plans at all for an update to the Dirac 2 that will allow older OSX software to run it?

I’m specifically thinking of Sierra here (10.13.6)

And that therefore Dirac 2 is not going to be available to me?

I’d hate to sell the DDRC24 and find out later that I was wrong....

Thanks for any help anyone can offer.

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43567

  • Stephen300
  • Stephen300's Avatar
  • Offline
  • Senior Member
  • Senior Member
  • Posts: 75
  • Thank you received: 8
It would be nice if 2.0 worked with my Win 8.2 laptop. I refuse to "upgrade" to Win 10 just for this. It's been my experience to never upgrade a Windows machine. The damn thing never works properly afterwards. As it is now I had to borrow the wife's Win 10 laptop. That would be fine but she takes it to work with her most days and I have no access to it then.

Please Log in or Create an account to join the conversation.

Last edit: by Stephen300.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43575

  • rodrigaj
  • rodrigaj's Avatar
  • Offline
  • Premium Member
  • Premium Member
  • Posts: 89
  • Thank you received: 23

Am I right in assuming that there are no plans at all for an update to the Dirac 2 that will allow older OSX software to run it?

I’m specifically thinking of Sierra here (10.13.6)

And that therefore Dirac 2 is not going to be available to me?

I’d hate to sell the DDRC24 and find out later that I was wrong....

Thanks for any help anyone can offer.


You must be running software that is incompatible with Mac OS Mohjave? Or is it incompatible because of hardware?

In my case, I am trying to keep an old MacBook Air alive and that is locked into MacOS 10.9 (Mavericks). I can't even upgrade to 10.10. I have to upgrade my iMac to Mohjave, then haul it over to my music room to install Dirac 2.

I doubt that they will make it compatible to an older OS. I went through this with Audirvana last year, but at least I was able to upgrade my old Mac mini to past El Capitan.

I must admit, it is a bit peculiar to release an update and not make it more accessible to the Mac audience.

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43583

  • asliang
  • asliang's Avatar
  • Offline
  • New Member
  • New Member
  • Posts: 5
  • Thank you received: 0
I upgraded firmware, upgraded the software, still can't get Dirac Live 2.0 to recognize my DDRC-22D. Are we supposed to activate these on Dirac Live website? When I enter my serial number it doesn't do anything.

Please Log in or Create an account to join the conversation.

Last edit: by asliang.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43584

  • denver8me4dinner
  • denver8me4dinner's Avatar
  • Offline
  • Elite Member
  • Elite Member
  • 3038564518
  • Posts: 285
  • Thank you received: 58
I had to buy a win10 laptop just for tuning


Best move I ever made.

I use probably 20 different dsps on it and it works perfectly


Here’s some advice if anyone does buy a laptop


Get one with a 10key
Get a cheap HP laptop from Walmart
The ones with the basic 15” touchscreen and the basic graphics card. The most basic plain old laptop seems to work the best.

All the added super high performance seems to cause issues as a tuning machine. The more basic it is the more common drivers are being used and the more compatible things seem to be in the dsp world.

I learned the hard way also upgrading a Mac and I ended up throwing the computer away in the trash

I have two old HP laptops with win8 that I gave the kids as I couldn’t get Dirac to work on

Win10seems to be best and just works.


I uninstalled every bit of “antivirus “ that came stock because that only screws things up farther.
I don’t use it for anything but tuning.

I also metered all my connections so it can’t update. It works and I don’t want anything to prevent it from stop working.

Best 250$ spent hands down

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43612

  • denver8me4dinner
  • denver8me4dinner's Avatar
  • Offline
  • Elite Member
  • Elite Member
  • 3038564518
  • Posts: 285
  • Thank you received: 58
Not only does mine work perfectly
I can toggle between 1.7 and 2.2 without reinstall anything. :kiss:

If I want to run the old Dirac , I just click on the old app icon on my taskbar and I can run it like normal or load old measurements and old filters with 2.0 on other banks and vice versa.

I have 2configs with old filters and two configs with new filters. Only thing I can’t do is load old measurements into 2.0 app or new measurements on old app. I can load old targets tho. So far so good there also.
Everything else I can do just fine. Hasn’t crashed even once.

So that I love , I have filters on 1.7 that I love and worked hard on. I have 3 instances of Dirac installed (which you can see on my taskbar on left of screen) and they all work just fine.

I can use ddrc22d
Ddrc24
Cdsp
Opendrc
2x4hd
3 diffrent Dirac platforms
Ddrc88
All no problem no conflicts

Win10 gang. Cheap Walmart HP is killin it.


And also do not install into a directory except the default install directory, let it put things where it wants to. Save yourself a massive headache

Thank you DevTeam! So so much! :)

image host server url
The following user(s) said Thank You: devteam, jaaptina

Please Log in or Create an account to join the conversation.

Last edit: by denver8me4dinner.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43650

  • paul7777x
  • paul7777x's Avatar
  • Offline
  • Junior Member
  • Junior Member
  • Posts: 35
  • Thank you received: 5
Hi rodrigaj.

It seems my MacBook Pro is now just too old (mid 2010) to run anything past 10.13.6 High Sierra.

However, I emailed Dirac explaining the issue and they suggested I try to use the 2.2 download.

And it seems to work! Awesome.

I haven’t been able to try it yet as it’s too late to annoy the neighbours, but it has downloaded and is up and running; and I’m able to start DL from the DDRC24 page so it all seems good to go.

I’ll let you know tomorrow how I get on.

Please Log in or Create an account to join the conversation.

Last edit: by paul7777x.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43653

  • holco62
  • holco62's Avatar
  • Offline
  • Junior Member
  • Junior Member
  • Posts: 33
  • Thank you received: 4
You sure that 2.0 is working on the DDRC-88A also?

Not only does mine work perfectly
I can toggle between 1.7 and 2.2 without reinstall anything. :kiss:

If I want to run the old Dirac , I just click on the old app icon on my taskbar and I can run it like normal or load old measurements and old filters with 2.0 on other banks and vice versa.

I have 2configs with old filters and two configs with new filters. Only thing I can’t do is load old measurements into 2.0 app or new measurements on old app. I can load old targets tho. So far so good there also.
Everything else I can do just fine. Hasn’t crashed even once.

So that I love , I have filters on 1.7 that I love and worked hard on. I have 3 instances of Dirac installed (which you can see on my taskbar on left of screen) and they all work just fine.

I can use ddrc22d
Ddrc24
Cdsp
Opendrc
2x4hd
3 diffrent Dirac platforms
Ddrc88
All no problem no conflicts

Win10 gang. Cheap Walmart HP is killin it.


And also do not install into a directory except the default install directory, let it put things where it wants to. Save yourself a massive headache

Thank you DevTeam! So so much! :)

image host server url

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43654

  • denver8me4dinner
  • denver8me4dinner's Avatar
  • Offline
  • Elite Member
  • Elite Member
  • 3038564518
  • Posts: 285
  • Thank you received: 58

You sure that 2.0 is working on the DDRC-88A also?




No silly! :laugh:


I have like almost every dsp made all installed at the same time with no conflicts.

2.0 is only the 22/24
And I can toggle back and forth on the 24 no problem at all.



My point being, win10 , dedicated laptop no frills works fantastic!

Please Log in or Create an account to join the conversation.

Dirac Live 2018/2.0.. MiniDSP support? 2 years 1 month ago #43677

  • paul7777x
  • paul7777x's Avatar
  • Offline
  • Junior Member
  • Junior Member
  • Posts: 35
  • Thank you received: 5

Hi rodrigaj.

It seems my MacBook Pro is now just too old (mid 2010) to run anything past 10.13.6 High Sierra.

However, I emailed Dirac explaining the issue and they suggested I try to use the 2.2 download.

And it seems to work! Awesome.

I haven’t been able to try it yet as it’s too late to annoy the neighbours, but it has downloaded and is up and running; and I’m able to start DL from the DDRC24 page so it all seems good to go.

I’ll let you know tomorrow how I get on.


I’ve been able to set up 2.2 on OSX 10.13.6 without issue and it’s running now. Top news for me.

Thanks very much to Dirac for the quick reply. Top class.

I’m still busy fine tuning the curves to suit... but I’m pleased indeed.

Cheers to all at MiniDSP for putting up with all the questions and tantrums over the last year. I appreciate your magic.

All the best, Paul.
The following user(s) said Thank You: denver8me4dinner, rodrigaj

Please Log in or Create an account to join the conversation.

Moderators: devteam